List broadcasts
curl --request GET \
--url https://{notifuseDomain}/api/broadcasts.list \
--header 'Authorization: Bearer <token>'import requests
url = "https://{notifuseDomain}/api/broadcasts.list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{notifuseDomain}/api/broadcasts.list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"broadcasts": [
{
"id": "broadcast_12345",
"workspace_id": "ws_1234567890",
"name": "Spring Newsletter 2024",
"channel_type": "email",
"status": "draft",
"audience": {
"list": "newsletter",
"segments": [
"premium_users"
],
"exclude_unsubscribed": true
},
"schedule": {
"is_scheduled": false,
"scheduled_date": "2024-03-15",
"scheduled_time": "10:30",
"timezone": "America/New_York",
"use_recipient_timezone": false
},
"test_settings": {
"enabled": true,
"sample_percentage": 20,
"auto_send_winner": true,
"auto_send_winner_metric": "open_rate",
"test_duration_hours": 24,
"variations": [
{
"template_id": "template_variant_a",
"variation_name": "Variation A",
"metrics": {
"recipients": 123,
"delivered": 123,
"opens": 123,
"clicks": 123,
"bounced": 123,
"complained": 123,
"unsubscribed": 123
},
"template": {}
}
]
},
"utm_parameters": {
"source": "newsletter",
"medium": "email",
"campaign": "spring_2024",
"term": "<string>",
"content": "<string>"
},
"data_feed": {
"global_feed": {
"enabled": true,
"url": "https://api.example.com/broadcast-data",
"headers": [
{
"name": "Authorization",
"value": "Bearer token123"
}
]
},
"global_feed_data": {},
"global_feed_fetched_at": "2023-11-07T05:31:56Z",
"recipient_feed": {
"enabled": true,
"url": "https://api.example.com/recipient-data",
"headers": [
{
"name": "Authorization",
"value": "Bearer token123"
}
]
}
},
"metadata": {},
"winning_template": "template_winner",
"test_sent_at": "2023-11-07T05:31:56Z",
"winner_sent_at": "2023-11-07T05:31:56Z",
"enqueued_count": 1000,
"test_phase_recipient_count": 123,
"winner_phase_recipient_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>"
}
],
"total_count": 45
}{
"error": "workspace_id is required"
}{
"error": "<string>"
}{
"error": "Failed to list broadcasts"
}Broadcasts
List broadcasts
Retrieves a list of broadcasts with pagination and optional filtering by status. Supports fetching template details for each variation.
GET
/
api
/
broadcasts.list
List broadcasts
Authorizations
API token for authentication
Query Parameters
The ID of the workspace
Filter broadcasts by status
Available options:
draft, scheduled, sending, paused, sent, cancelled, failed, testing, test_completed, winner_selected Maximum number of broadcasts to return
Number of broadcasts to skip for pagination
Include full template details for each variation
⌘I
